Last modified: 2014-10-20 20:24:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 57437 - Allow the VE dialog for math elements to be movable and resizable
Allow the VE dialog for math elements to be movable and resizable
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Math (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 49969
Blocks: 43058
  Show dependency treegraph
 
Reported: 2013-11-22 18:46 UTC by Richard Morris
Modified: 2014-10-20 20:24 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Richard Morris 2013-11-22 18:46:19 UTC
Copied from bug 43058 

Screenshot of editing a math block

Some small tweaks are needed to the dialog box. Editing the last equation at
https://www.mediawiki.org/wiki/VisualEditor:TestMath?veaction=edit
there are a a few problems

1) The dialog obscures the actual equation
2) The dlalog is too small to see the whole source text of the equation

This could be solved the making the dialog, moveable and resizeable.

Created attachment 13550 [details]
Comment 1 Helder 2013-11-22 19:02:49 UTC
But it should also be smart enough not to present a tiny box when the formula is already very large. E.g. the last example from
https://www.mediawiki.org/w/index.php?title=VisualEditor:TestMath&oldid=749189&veaction=edit

Otherwise the user will need to resize the box on every formula of some pages
Comment 2 Theopolisme 2013-11-22 22:57:28 UTC
Cross-posting from previous bug

@Richard/others: Thinking about making the dialog draggable and resizable...

The solution I initially think of is installing jquery.ui and then adding some
parameters to OO.ui.Window that allow it to be made resizable and/or draggable.
However, if I recall correctly one of the principles of OOJS was to be
self-contained... so would this be wrong? Could someone else with a bit more
firsthand experience chime in here?
Comment 3 Richard Morris 2013-11-23 16:26:58 UTC
Just to note I'm just an end user, so don't really know much about how the Visual Editor code works. It might be an idea to consult with the VE people for the best way to achieve this. I've not found any other VE dialog which is movable or resizable, so I'm not sure if there is code you can copy.

What is really important is that the box is big enough. Following from Helders comment you could detect the size of the original equation and size accordingly. 

What might also be possible would be to detect if the equation is inline or a block mode. (In the tex world this would be $eqn$ vrs $$eqn$$) a larger edit window is preferred for block mode equations. Its a little tricker to detect the difference in wikitext, suronding text on the same line indicates inline mode. Being a single item in a list element <li><math> ...</math></li> indicates block mode.
Comment 4 Helder 2013-11-23 16:32:52 UTC
(In reply to comment #3)
> Just to note I'm just an end user, so don't really know much about how the
> Visual Editor code works. It might be an idea to consult with the VE people
> for
> the best way to achieve this. I've not found any other VE dialog which is
> movable or resizable, so I'm not sure if there is code you can copy.

See bug 49969 (and maybe bug 49549).

> (...)
> What might also be possible would be to detect if the equation is inline or a
> block mode.

See bug 12223.
Comment 5 Gerrit Notification Bot 2013-11-26 17:08:57 UTC
Change 97750 had a related patch set uploaded by Catrope:
Fix moving over an image with the arrow keys in Firefox

https://gerrit.wikimedia.org/r/97750
Comment 6 James Forrester 2013-11-26 17:10:58 UTC
(In reply to comment #5)
> Change 97750 had a related patch set uploaded by Catrope:
> Fix moving over an image with the arrow keys in Firefox
> 
> https://gerrit.wikimedia.org/r/97750

Mis-targeted, sorry!
Comment 7 Quim Gil 2013-12-16 19:33:11 UTC
I'm still trying to get a Google Code-in task or more out of these VE Math plugin reports...

If I understand the comments, the "movable" part can't be fixed for this plugin because it depends on VE's current capacity to do so (bug 49969), right?

Can the size of the window be controlled? If so, could this be a GCI task?
Comment 8 James Forrester 2013-12-16 19:38:01 UTC
Re-positioning of OOjs UI windows is a really major piece of work, yes.

Re-sizing is very do-able, however.
Comment 9 physikerwelt 2014-02-08 23:04:55 UTC
Can someone look at https://gerrit.wikimedia.org/r/#/c/105647/ ... It would be great to merge this before it has to rebased manually again.
Comment 10 physikerwelt 2014-10-19 19:53:42 UTC
Change was merged. Seems to be fixed.
Comment 11 James Forrester 2014-10-20 20:08:25 UTC
This is only done for auto-resizing and auto-positioning, not manual resizing and positioning ("dragging") which this bug is asking for (and which depends on bug 49969). Reopening.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links